<?php

namespace App\Http\Controllers\api;

use App\Models\QuestionType;
use Illuminate\Http\Request;
use App\Models\CustomerAnswer;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class AnswerController extends Controller
{
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'customer_id' => 'required|integer',
            'question_id' => 'required|array',
            'question_id.*' => 'integer|exists:questions,id',
            'answer' => 'required|array',
            'answer.*' => 'string',
        ]);


        if ($validator->fails()) {
            return response()->json($validator->errors(), 422);
        } else {
            foreach ($request->input('question_id') as $index => $questionId) {
                $customerAnswer = new CustomerAnswer();
                $customerAnswer->question_id = $questionId;
                $customerAnswer->customer_id = $request->input('customer_id');
                $customerAnswer->answer = $request->input('answer')[$index];
                $customerAnswer->save();
            }
            $heightAnswers = CustomerAnswer::whereHas('question', function ($query) {
                $query->whereHas('question_type', function ($query) {
                    $query->where('name', 'height');
                });
            })->where('customer_id', $request->customer_id)->pluck('answer')->first(); // Use `first()` to get the first value

            $weightAnswers = CustomerAnswer::whereHas('question', function ($query) {
                $query->whereHas('question_type', function ($query) {
                    $query->where('name', 'weight');
                });
            })->where('customer_id', $request->customer_id)->pluck('answer')->first(); // Use `first()` to get the first value


            // Assume you have the height in a single variable
            $height = $heightAnswers; // Example: 5 feet 7 inches

            // Split the height into feet and inches
            list($feet, $inches) = explode(" ", $height);

            // Convert feet and inches to meters
            $feetToMeters = $feet * 0.3048;
            $inchesToMeters = $inches * 0.0254;

            // Calculate the total height in meters
            $totalHeightInMeters = $feetToMeters + $inchesToMeters;
            // Assuming you have the height and weight variables
            $height = $totalHeightInMeters;
            $weight = $weightAnswers;

            // Calculate the BMI
            $bmi = $weight / ($height * $height);

            // Round the BMI to two decimal places
            $bmi = round($bmi, 2);
            $latestCustomerAnswers = CustomerAnswer::where('customer_id', $request->customer_id)->latest()->get();
            return response()->json([
                'message' => 'Customer answers saved successfully',
                'customer' => $latestCustomerAnswers,
                'bmi' => $bmi
            ], 200);
        }
    }
}
