<?php

namespace App\Http\Controllers\API;

use App\Models\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;

class UserController extends Controller
{
    public function updateProfile(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'device_token' => 'required',
            'user_id' => 'required',
        ]);
        if ($validator->fails()) {
            return response()->json([
                'success' => true,
                'message' => $validator->errors()
            ]);
        }
        $deviceToken = $request->device_token;
        $user = User::find($request->user_id);
        if ($user) {
            if ($deviceToken != $user->device_token) {
                return response()->json([
                    'success' => true,
                    'message' => 'Unauthorized'
                ]);
            }elseif ($request->device_token == $user->device_token) {
                if ($request->name) {
                    $user->name = $request->name;
                }
                $user->save();
                return response()->json([
                    'success' => true,
                    'message' => 'Profile Updated Successfully',
                    'user' => $user
                ]);
            }else {
                return response()->json([
                    'success' => false,
                    'message' => 'Something went wrong'
                ]);
            }
        }else {
            return response()->json([
                'success' => true,
                'message' => 'User not found'
            ]);
        }
    }
}
