<?php

namespace App\Models;

use App\Models\ProgramExercise;
use App\Models\BMIRangeExercise;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class BMIRange extends Model
{
    use HasFactory;

    protected $table = 'bmi_ranges';

    protected $fillable = [
        'bmi_from',
        'bmi_to'
    ];

    public function bmi_range_exercises()
    {
        return $this->hasMany(BMIRangeExercise::class);
    }

    public function program_exercises()
    {
        return $this->belongsToMany(ProgramExercise::class, 'bmi_range_exercises');
    }
}
