<?php

namespace App\Models;

use App\Models\CustomerAnswer;
use App\Models\FitnessCategoryQuestion;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Question extends Model
{
    use HasFactory;

    protected $fillable =
    [
        'fitness_category_id',
        'question_type_id',
        'question',
    ];

    public function question_type()
    {
        return $this->belongsTo(QuestionType::class);
    }

    public function fitnessCategoryQuestions()
    {
        return $this->hasMany(FitnessCategoryQuestion::class);
    }

    public function customerAnswers()
    {
        return $this->hasMany(CustomerAnswer::class);
    }
}
