<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('program_meals', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('fitness_category_id');
            $table->foreign('fitness_category_id')->references('id')->on('fitness_categories')->onDelete('cascade');
            $table->enum('gender', ['male', 'female', 'other']);
            $table->string('meal_name');
            $table->integer('calories');
            $table->integer('protein');
            $table->integer('carbs');
            $table->integer('fats');
            $table->text('description');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('program_meals');
    }
};
