<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class ProgramExerciseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $program_exercises =
        [
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Bench Press',
                'sets' => 3,
                'reps' => 8,
                'rest' => 60,
                'description' => 'Lie flat on a bench, unrack the bar and bring it down to your chest, then push it back up.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Deadlifts',
                'sets' => 3,
                'reps' => 8,
                'rest' => 90,
                'description' => 'Stand with feet hip-width apart, bend over and grasp the bar, then lift it up while keeping your back straight.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Squats',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Stand with feet hip-width apart, lower your body until your thighs are parallel to the ground, then stand back up.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Barbell Curls',
                'sets' => 3,
                'reps' => 12,
                'rest' => 45,
                'description' => 'Stand with feet shoulder-width apart, hold a barbell with an underhand grip, curl it up to your chest, then lower it back down.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Plank',
                'sets' => 3,
                'reps' => 0,
                'rest' => 60,
                'description' => 'Start in a push-up position, then lower your forearms to the ground. Keep your body in a straight line from head to heels, engage your core, and hold the position for as long as you can without breaking form.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Push-ups',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Start in a plank position, lower your body towards the ground, then push back up.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Bodyweight Squats',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Bodyweight squats are a great exercise for building leg muscles. Stand with your feet shoulder-width apart, bend your knees and lower your body until your thighs are parallel to the ground, and then push yourself back up',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Pull-ups',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Pull-ups are a great exercise for building back and biceps muscles. Grab a pull-up bar with an overhand grip, hang from the bar, and pull your body up until your chin is above the bar. Lower your body back down and repeat.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Plank',
                'sets' => 4,
                'reps' => 30,
                'rest' => 30,
                'description' => 'Begin in a push-up position with your arms straight and your feet hip-width apart. Tighten your core and hold this position for 30 seconds, or as long as you can. Rest for 30 seconds and repeat',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Lunges',
                'sets' => 4,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Begin with your feet hip-width apart. Take a step forward with one leg and lower your body until both knees are bent at a 90-degree angle. Push back up to the starting position and repeat with the other leg.',
            ],
            [
                'fitness_category_id' => 2,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Sit-ups',
                'sets' => 4,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Sit-ups are an abdominal muscle-strengthening exercise that involves lifting the upper body from a lying position to a sitting position.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Jumping jacks',
                'sets' => 3,
                'reps' => 15,
                'rest' => 60,
                'description' => 'Stand straight with feet together and jump, spreading your arms and legs. Land on your feet, shoulder-width apart, and repeat.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Bodyweight Squats',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Stand with feet shoulder-width apart, squat down, keeping your knees in line with your toes, and stand back up.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Push-ups',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Start in a plank position with hands shoulder-width apart. Lower your body until your chest almost touches the ground, then push back up.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Running',
                'sets' => 3,
                'reps' => 15,
                'rest' => 60,
                'description' => 'Jog for 15 minutes at a moderate pace.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Burpees',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Stand straight, squat down, kick your feet back, do a push-up, jump back to a squat, and jump up.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Mountain climbers',
                'sets' => 3,
                'reps' => 20,
                'rest' => 60,
                'description' => 'Start in a plank position and alternate bringing your knees to your chest as if running.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Dumbbell bench press',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Lie down on a bench with dumbbells in your hands. Lower the dumbbells until your elbows are at a 90-degree angle, then push them back up.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Barbell squats',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'With a barbell on your back, squat down, keeping your knees in line with your toes, and stand back up.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Treadmill running',
                'sets' => 3,
                'reps' => 15,
                'rest' => 60,
                'description' => 'Jog on the treadmill for 15 minutes at a moderate pace.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Stationary Bike',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Stationary Bike is a low-impact cardio exercise that simulates outdoor cycling, providing a great workout for your heart, lungs, and lower body muscles.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Jump Training',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Jump training, also known as plyometric training, is a form of exercise that involves explosive movements such as jumping, bounding, and hopping to improve athletic performance and develop strength, power, and agility.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Resistance Training with Weights',
                'sets' => 3,
                'reps' => 15,
                'rest' => 60,
                'description' => 'Resistance training with weights involves lifting weights or using weight machines to increase muscle strength and endurance, improve bone density, and promote overall physical fitness.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Push-ups',
                'sets' => 3,
                'reps' => 12,
                'rest' => 30,
                'description' => 'This exercise targets your chest, shoulders, and triceps, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Squats',
                'sets' => 3,
                'reps' => 12,
                'rest' => 30,
                'description' => 'This exercise targets your legs and glutes, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Lunges',
                'sets' => 3,
                'reps' => 12,
                'rest' => 30,
                'description' => 'This exercise targets your legs and glutes, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Dips',
                'sets' => 3,
                'reps' => 12,
                'rest' => 30,
                'description' => 'This exercise targets your triceps, chest, and shoulders, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Plank',
                'sets' => 3,
                'reps' => 30,
                'rest' => 30,
                'description' => 'This exercise targets your core and helps to build stability and strength.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Mountain climbers',
                'sets' => 3,
                'reps' => 12,
                'rest' => 30,
                'description' => 'This exercise targets your core, arms, and legs, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Bench Press',
                'sets' => 3,
                'reps' => 10,
                'rest' => 30,
                'description' => 'This exercise targets your chest, shoulders, and triceps, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Incline dumbbell press',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'This exercise targets your upper chest, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Dumbbell flyes',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'This exercise targets your chest, and can be modified to make it easier or harder depending on your fitness level.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Treadmill running',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Jog on the treadmill for 15 minutes at a moderate pace.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Barbell squats',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'With a barbell on your back, squat down, keeping your knees in line with your toes, and stand back up.',
            ],
            [
                'fitness_category_id' => 5,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Push-ups',
                'sets' => 3,
                'reps' => 15,
                'rest' => 60,
                'description' => 'Start in a plank position with hands shoulder-width apart. Lower your body until your chest almost touches the ground, then push back up.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Push-ups',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Push-ups are a great bodyweight exercise for building strength and mass in your chest, shoulders, and triceps.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Bodyweight Squats',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Bodyweight squats are an effective way to build lower body strength and muscle without equipment.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Lunges',
                'sets' => 3,
                'reps' => 15,
                'rest' => 60,
                'description' => 'Lunges are a great lower body exercise that target your glutes, quads, and hamstrings.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Crunches',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Crunches help in increasing your core strength and gain weight.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Pull-ups',
                'sets' => 3,
                'reps' => 20,
                'rest' => 60,
                'description' => 'Pull-up is a high resistance exercise that builds more muscles. More muscles mean more bodyweight.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at home',
                'exercise_name' => 'Burpees',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Burpees target the whole body. While doing this exercise you’ll target the chest, arms, glutes, abs,  quads, and hamstrings.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Push-ups',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Targets abdominals, shoulders, chest muscles, triceps and wing muscles.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Pull-ups',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Primarily focus on biceps and latissimus dorsi.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Squats',
                'sets' => 3,
                'reps' => 10,
                'rest' => 30,
                'description' => 'Help build muscles around the leg and hip region.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Glute Kickback',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Strengthens the buttocks and the hamstrings.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Deadlift',
                'sets' => 3,
                'reps' => 10,
                'rest' => 60,
                'description' => 'Increases overall muscle mass. Strengthens upper and lower back.',
            ],
            [
                'fitness_category_id' => 1,
                'gender' => 'male',
                'exercise_type' => 'at gym',
                'exercise_name' => 'Bench Press',
                'sets' => 3,
                'reps' => 12,
                'rest' => 60,
                'description' => 'Builds shoulders, triceps and chest muscles.',
            ],
        ];

        DB::table('program_exercises')->insert($program_exercises);
    }
}
