@extends('admin.layout.layout')
@section('content')
    <div class="card">
        <div class="card-body">
            <h4 class="card-title">Edit BMI Range</h4>
            <form class="forms-sample" method="POST" action="{{ route('bmi-range.update', $bmi_range->id) }}">
                @csrf
                @method('PUT')
                <div class="form-group pt-3">
                    <label for="bmi_from">BMI From</label>
                    <input type="text" class="form-control @error('bmi_from') is-invalid @enderror" name="bmi_from"
                        id="bmi_from" placeholder="Enter BMI From" value="{{ old('bmi_from', $bmi_range->bmi_from) }}"
                        required>
                    @error('bmi_from')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="form-group pt-3">
                    <label for="bmi_to">BMI To</label>
                    <input type="text" class="form-control @error('bmi_to') is-invalid @enderror" name="bmi_to"
                        id="bmi_to" placeholder="Enter BMI To" value="{{ old('bmi_to', $bmi_range->bmi_to) }}" required>
                    @error('bmi_to')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <button type="submit" class="btn btn-primary me-2 text-white">Update</button>
            </form>
        </div>
    </div>
@endsection
