@extends('admin.layout.layout')
@section('content')
    <div class="card">
        <div class="card-body">
            <h4 class="card-title">Edit Fitness Category</h4>
            <form class="forms-sample" method="POST" action="{{ route('fitness-category.update', $fitness_category->id) }}">
                @csrf
                @method('PUT')
                <div class="form-group pt-3">
                    <label>Fitness Category Name</label>
                    <input type="text" class="form-control @error('name') is-invalid @enderror" name="name" id="name"
                        placeholder="Enter fitness category name" value="{{ $fitness_category->name }}" required>
                    @error('name')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="form-group pt-3">
                    <label for="type">Type</label>
                    <select class="form-control @error('type') is-invalid @enderror" id="type" name="type" required>
                        <option value="">Select Type</option>
                        <option value="normal" {{ $fitness_category->type == 'normal' ? 'selected' : '' }}>Normal</option>
                        <option value="pro" {{ $fitness_category->type == 'pro' ? 'selected' : '' }}>Pro</option>
                    </select>
                    @error('type')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <button type="submit" class="btn btn-primary me-2 text-white">Update</button>
            </form>
        </div>
    </div>
@endsection
