<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\API\UserController;
use App\Http\Controllers\api\ProgramMealController;
use App\Http\Controllers\api\CustomerAnswerController;
use App\Http\Controllers\API\FitnessCategoryController;
use App\Http\Controllers\api\ProgramExerciseController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

// get all fitness categories
Route::get('/fitness/categories', [FitnessCategoryController::class, 'index'])->name('fitness.categories');

// Customer Answer apis
Route::controller(CustomerAnswerController::class)->group(function () {
    Route::post('/customer/answer', 'store')->name('customer.answer');
});

// Update Profile apis
Route::controller(UserController::class)->group(function () {
    Route::post('/update/profile', 'updateProfile')->name('update.profile');
});

// Program Exercise apis
Route::controller(ProgramExerciseController::class)->group(function () {
    Route::get('/program/exercise/{id}', 'show')->name('program.exercise.show');
});

// Program Meal apis
Route::controller(ProgramMealController::class)->group(function () {
    Route::get('/program/meal/{id}', 'show')->name('program.meal.show');
});
